Skip to main content
POST
Payments - Update Metadata

Authorizations

api-key
string
header
required

Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.

Path Parameters

payment_id
string
required

The identifier for payment

Body

application/json
metadata
object
required

Metadata is useful for storing additional, unstructured information on an object.

feature_metadata
object | null

additional data that might be required by hyperswitch

Response

Metadata updated successfully

payment_id
string
required

The identifier for the payment

metadata
object | null

Metadata is useful for storing additional, unstructured information on an object.

status
enum<string> | null
default:requires_confirmation

Represents the overall status of a payment intent. The status transitions through various states depending on the payment method, confirmation, capture method, and any subsequent actions (like customer authentication or manual capture).

Available options:
succeeded,
failed,
cancelled,
cancelled_post_capture,
processing,
requires_customer_action,
requires_merchant_action,
requires_payment_method,
requires_confirmation,
requires_capture,
partially_captured,
partially_captured_and_capturable,
partially_authorized_and_requires_capture,
partially_captured_and_processing,
conflicted,
expired,
review
feature_metadata
object | null

additional data that might be required by hyperswitch